### Method

# AppStream Artifact get_checksum

#### Declaration [src]

    AsChecksum*
    as_artifact_get_checksum (
      AsArtifact* artifact,
      AsChecksumKind kind
    )

#### Description [src]

Gets the artifact checksum.

#### Parameters

`kind`

  Type: `AsChecksumKind`

  No description available.

#### Return value

Type: `AsChecksum`

An `AsChecksum`, or `NULL` for not set or invalid.

The returned data is owned by the instance.
The return value can be `NULL`.